Inventor и промышленное производство - Русский

Inventor и промышленное производство - Русский

Ответить
Highlighted
Сообщение 1 из 4 (80 просмотров)
Утвержденное решение

DXF автоматизация

80 Просмотры, 3 Ответы
03-15-2017 05:10 PM

Добрый день! Есть задача получить dxf при помощи правила iLogic.

 

Есть такой вариант:

 

fname = ThisDoc.Document.FullFileName.Remove(ThisDoc.Document.FullFileName.LastIndexOf(".")) + ".dxf"
oDataIO = ThisDoc.Document.ComponentDefinition.DataIO
sOut = "FLAT PATTERN DXF?AcadVersion=2000"
oDataIO.WriteDataToFile(sOut, fname)

  Но он называет полученные dxf файлы по аналогии с именем файла исходной детали, а необходимо получит dxf с наименованием и обозначением (iProperties.Value("Project", "Part Number") и iProperties.Value("Project", "Description")) 

Насколько мне понятно, участок кода FullFileName нужно заменить обозначением и наименованием. К сожаление знаний не хватает=(

 

Конечно!

Правило выгружает DXF "Обозначение" + "Наименование". Лишние слои гасятся.

 

 

fname = ThisDoc.Document.FullFileName.Remove(ThisDoc.Document.FullFileName.LastIndexOf("\")) & "\" & iProperties.Value("Project", "Part Number") & " " & iProperties.Value("Project","Description") & ".dxf"
oDataIO = ThisDoc.Document.ComponentDefinition.DataIO
sOut = "FLAT PATTERN DWG?AcadVersion=2000&OuterProfileLayer=Burn&Interi?orProfilesLayer=Burn&InvisibleLayers=IV_UNCONSUMEND_SKETCHES�;IV_ALTREP?_BACK;IV_ALTREP_FRONT;IV_ARC_CENTERS;IV_TOOL_CENTE?R_DOWN;IV_TOOL_CENTER;IV_ARC_CENTERS;IV_FEATURE_PROFILES;IV_TANGENT;IV?_BEND;IV?_BEND;IV_BEND_DOWN&SplineTolerance Double 0.01"
oDataIO.WriteDataToFile(sOut, fname)

 

Сообщение 2 из 4 (47 просмотров)

Re: DXF автоматизация

03-16-2017 01:43 PM в ответ на: mikoyan985

Уже подсказали, всем спасибо.

Сообщение 3 из 4 (41 просмотров)

Re: DXF автоматизация

03-17-2017 07:16 AM в ответ на: mikoyan985

Если не затруднит, выложите итоговый рабочий текст правила. Кому-нибудь пригодится. Спасибо!

Mikhailov Andrey / Михайлов Андрей
Mechanical & Electronics engineer / Инженер-машиностроитель и приборостроитель
Blog (EN) | Blog (RU)
Facebook | Twitter | LinkedIn

Сообщение 4 из 4 (27 просмотров)

Re: DXF автоматизация

03-17-2017 03:17 PM в ответ на: MikhailovAndrey

Конечно!

Правило выгружает DXF "Обозначение" + "Наименование". Лишние слои гасятся.

 

 

fname = ThisDoc.Document.FullFileName.Remove(ThisDoc.Document.FullFileName.LastIndexOf("\")) & "\" & iProperties.Value("Project", "Part Number") & " " & iProperties.Value("Project","Description") & ".dxf"
oDataIO = ThisDoc.Document.ComponentDefinition.DataIO
sOut = "FLAT PATTERN DWG?AcadVersion=2000&OuterProfileLayer=Burn&Interi?orProfilesLayer=Burn&InvisibleLayers=IV_UNCONSUMEND_SKETCHES�;IV_ALTREP?_BACK;IV_ALTREP_FRONT;IV_ARC_CENTERS;IV_TOOL_CENTE?R_DOWN;IV_TOOL_CENTER;IV_ARC_CENTERS;IV_FEATURE_PROFILES;IV_TANGENT;IV?_BEND;IV?_BEND;IV_BEND_DOWN&SplineTolerance Double 0.01"
oDataIO.WriteDataToFile(sOut, fname)

 

Спросить Сообщество

Есть вопросы по продуктам Автодеска? Спроси Сообщество

Новое сообщение